Skip to content
Start here

List Internal DNS Views

client.DNS.Settings.Account.Views.List(ctx, params) (*V4PagePaginationArray[SettingAccountViewListResponse], error)
GET/accounts/{account_id}/dns_settings/views

List DNS Internal Views for an Account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS View WriteDNS View Read
ParametersExpand Collapse
params SettingAccountViewListParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
Direction param.Field[SettingAccountViewListParamsDirection]optional

Query param: Direction to order DNS views in.

const SettingAccountViewListParamsDirectionAsc SettingAccountViewListParamsDirection = "asc"
const SettingAccountViewListParamsDirectionDesc SettingAccountViewListParamsDirection = "desc"
Match param.Field[SettingAccountViewListParamsMatch]optional

Query param: Whether to match all search requirements or at least one (any). If set to all, acts like a logical AND between filters. If set to any, acts like a logical OR instead.

const SettingAccountViewListParamsMatchAny SettingAccountViewListParamsMatch = "any"
const SettingAccountViewListParamsMatchAll SettingAccountViewListParamsMatch = "all"
Name param.Field[SettingAccountViewListParamsName]optional

Query param

Contains stringoptional

Substring of the DNS view name.

Endswith stringoptional

Suffix of the DNS view name.

Exact stringoptional

Exact value of the DNS view name.

Startswith stringoptional

Prefix of the DNS view name.

Order param.Field[SettingAccountViewListParamsOrder]optional

Query param: Field to order DNS views by.

const SettingAccountViewListParamsOrderName SettingAccountViewListParamsOrder = "name"
const SettingAccountViewListParamsOrderCreatedOn SettingAccountViewListParamsOrder = "created_on"
const SettingAccountViewListParamsOrderModifiedOn SettingAccountViewListParamsOrder = "modified_on"
Page param.Field[float64]optional

Query param: Page number of paginated results.

minimum1
PerPage param.Field[float64]optional

Query param: Number of DNS views per page.

maximum5000000
minimum1
ZoneID param.Field[string]optional

Query param: A zone ID that exists in the zones list for the view.

ZoneName param.Field[string]optional

Query param: A zone name that exists in the zones list for the view.

ReturnsExpand Collapse
type SettingAccountViewListResponse struct{…}
ID string

Identifier.

maxLength32
CreatedTime Time

When the view was created.

formatdate-time
ModifiedTime Time

When the view was last modified.

formatdate-time
Name string

The name of the view.

maxLength255
minLength1
Zones []string

The list of zones linked to this view.

List Internal DNS Views

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/dns"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.DNS.Settings.Account.Views.List(context.TODO(), dns.SettingAccountViewListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_time": "2014-01-01T05:20:00.12345Z",
      "modified_time": "2014-01-01T05:20:00.12345Z",
      "name": "my view",
      "zones": [
        "372e67954025e0ba6aaa6d586b9e0b59"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_time": "2014-01-01T05:20:00.12345Z",
      "modified_time": "2014-01-01T05:20:00.12345Z",
      "name": "my view",
      "zones": [
        "372e67954025e0ba6aaa6d586b9e0b59"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}